Package ch.qos.logback.core.util

## Class EnvUtil

- java.lang.Object
- - ch.qos.logback.core.util.EnvUtil

    public class EnvUtil
    extends java.lang.Object

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
`EnvUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isJaninoAvailable()`
`static boolean` `isJDK5()`
`static boolean` `isJDK6OrHigher()`
`static boolean` `isJDK7OrHigher()`
`static boolean` `isWindows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvUtil

    public EnvUtil()

### Method Detail

#### isJDK5

    public static boolean isJDK5()

#### isJDK6OrHigher

    public static boolean isJDK6OrHigher()

#### isJDK7OrHigher

    public static boolean isJDK7OrHigher()

#### isJaninoAvailable

    public static boolean isJaninoAvailable()

#### isWindows

    public static boolean isWindows()